#!/bin/bash

# cd to parent directory of this script
bin=$( dirname "$0" )
cd "$bin/.."

# insert tag text
insert () {
   perl -p -e "s|<-$1->|$2|"
}

# output title
output () {
  markdown | cat head - foot | insert title "$1"
}

output1 () {
  markdown | cat head1 - foot | insert title "$1"
}

# prepare calendar table
calendar=$(bin/calendar.py calendar.txt)

# calendar
cat calendar.md |\
   insert calendar "${calendar}" |\
   output "$(cat title) (Calendar)" > ../calendar.php

# cheating
cat cheating.md |\
   output "$(cat title)" > ../cheating.php

# index
cat index.md |\
   insert calendar "${calendar}" |\
   output "$(cat title)" > ../index.php

# source
cat source.md |\
   output "$(cat title) (Page Sources)" > ../source.php

# links
cat links.md |\
   output "$(cat title) (Links)" > ../links.php

# create tarball, update math.columbia.edu, and open page
cd ..
math-tarball.sh
math-update.rb
math-open.sh
